## fcitx-cloudpinyin 0.1.1

=== CMakeLists.txt ===
project(fcitx-cloudpinyin)
cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
find_package(Fcitx 4.1.1 REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Gettext REQUIRED)
find_package(Libintl REQUIRED)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

pkg_check_modules(CURL "libcurl" REQUIRED)

add_subdirectory(src)
add_subdirectory(po)

=== debian/changelog ===
fcitx-cloudpinyin (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #638774)

 -- Aron Xu <aron@debian.org>  Thu, 22 Sep 2011 10:38:18 +0800

=== debian/control ===
Source: fcitx-cloudpinyin
Section: utils
Priority: optional
Maintainer: Aron Xu <aron@debian.org>
Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev, libcurl4-gnutls-dev,
  intltool
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-cloudpinyin.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-cloudpinyin.git

Package: fcitx-module-cloudpinyin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-modules
Recommends: fcitx (>=1:4.1.1)
Description: Free Chinese Input Toy of X - cloudpinyin module
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It is an ideal choice for the vast majority. Many of its features make
 users of Unix-like platforms have a fully modern input experience for
 the first time. It has also greatly lower the threshold for developers,
 making the development of extended funtions much easier than ever before.
 .
 This package provides the cloudpinyin module, which supports to make
 use of Pinyin APIs on the Internet and display the first result as the
 second input candidate.
 .
 Please be aware by installing and enabling this module, Fcitx will send
 your input data to the Internet to retrive result candidates.

## fcitx-cloudpinyin 0.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,11 @@
 cmake_minimum_required(VERSION 2.6)
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
-find_package(Fcitx 4.1.1 REQUIRED)
+find_package(Fcitx 4.1.2 REQUIRED)
 find_package(PkgConfig REQUIRED)
 find_package(Gettext REQUIRED)
 find_package(Libintl REQUIRED)
+find_package(Libiconv REQUIRED)
 
 # uninstall target
 configure_file(

=== po/CMakeLists.txt ===
set(PO_FILES zh_CN.po)
file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
if ("${REL_SOURCE_ROOT}" STREQUAL "")
    set(REL_SOURCE_ROOT ".")
endif("${REL_SOURCE_ROOT}" STREQUAL "")

set(POT_FILE fcitx-cloudpinyin.pot)

configure_file(POTFILES.in.in ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in)

extract_fcitx_addon_conf_postring()

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/desc.po
                   COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/getdescpo ${PROJECT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                   DEPENDS getdescpo)

add_custom_target(
    pot
    COMMAND INTLTOOL_EXTRACT=${INTLTOOL_EXTRACT} srcdir=${CMAKE_CURRENT_BINARY_DIR} ${INTLTOOL_UPDATE} --gettext-package fcitx-cloudpinyin --pot
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/conf.po ${CMAKE_CURRENT_BINARY_DIR}/desc.po
    )

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== src/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CURL_INCLUDE_DIRS}
    ${FCITX4_FCITX_INCLUDE_DIRS}
    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
    ${LIBINTL_INCLUDE_DIR}
)

link_directories(
    ${CURL_LIBRARY_DIRS}
)

set(FCITX_CLOUDPINYIN_SRCS
    cloudpinyin.c
    cloudpinyinconifg.c
)

fcitx_add_addon(fcitx-cloudpinyin ${FCITX_CLOUDPINYIN_SRCS})
add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" -D_GNU_SOURCE )
target_link_libraries( fcitx-cloudpinyin
                       ${CURL_LIBRARIES}
                       ${LIBINTL_LIBRARIES}
                       )

fcitx_add_addon_conf_file(fcitx-cloudpinyin.conf)
fcitx_add_configdesc_file(fcitx-cloudpinyin.desc)

=== debian/changelog ===
fcitx-cloudpinyin (0.1.2-2) unstable; urgency=low

  * Upstream patch: when input a long sentence, 
    fcitx close: Get signal No.: 6.

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 27 Dec 2011 15:41:44 +0800

fcitx-cloudpinyin (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * Add DMUA for YunQiang Su.

 -- Aron Xu <aron@debian.org>  Thu, 20 Oct 2011 11:42:20 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: fcitx-cloudpinyin
 Section: utils
 Priority: optional
-Maintainer: Aron Xu <aron@debian.org>
+Maintainer: IME Packaging Team <pkg-ime-devel@lists.debian.org>
+Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev, libcurl4-gnutls-dev,
   intltool
 Standards-Version: 3.9.2

## fcitx-cloudpinyin 0.2.0

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(PO_FILES zh_CN.po)
+file(GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po)
 file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
 if ("${REL_SOURCE_ROOT}" STREQUAL "")
     set(REL_SOURCE_ROOT ".")

=== debian/changelog ===
fcitx-cloudpinyin (0.2.0-2) unstable; urgency=low

  * debian/control: fix team mailing list. 

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 08 Feb 2012 02:17:50 +0800

fcitx-cloudpinyin (0.2.0-1) unstable; urgency=low

  * New upstream release, can only support fcitx 4.2+.

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 05 Feb 2012 20:18:58 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: fcitx-cloudpinyin
 Section: utils
 Priority: optional
-Maintainer: IME Packaging Team <pkg-ime-devel@lists.debian.org>
+Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev, libcurl4-gnutls-dev,
+Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev (>= 1:4.2.0), libcurl4-gnutls-dev,
   intltool
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/fcitx
@@ -13,8 +13,8 @@
 
 Package: fcitx-module-cloudpinyin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-modules
-Recommends: fcitx (>=1:4.1.1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-modules (>=1:4.2.0)
+Recommends: fcitx (>=1:4.2.0)
 Description: Free Chinese Input Toy of X - cloudpinyin module
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
  for Chinese users, and used XIM protocol. Now it has already evolved

=== debian/watch ===
version=3
http://googlecode.debian.net/p/fcitx/fcitx-cloudpinyin-(\d+\.\d+\.\d+).tar\.bz2

## fcitx-cloudpinyin 0.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 project(fcitx-cloudpinyin)
 cmake_minimum_required(VERSION 2.6)
 
-set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
-find_package(Fcitx 4.1.2 REQUIRED)
+set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
+find_package(Fcitx 4.2.0 REQUIRED)
 find_package(PkgConfig REQUIRED)
 find_package(Gettext REQUIRED)
 find_package(Libintl REQUIRED)
@@ -14,7 +14,6 @@
     "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
     IMMEDIATE @ONLY)
 
-SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
 set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
 set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
@@ -25,5 +24,7 @@
 
 pkg_check_modules(CURL "libcurl" REQUIRED)
 
+configure_file(config.h.in config.h)
+
 add_subdirectory(src)
 add_subdirectory(po)

=== debian/changelog ===
fcitx-cloudpinyin (0.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 18 Mar 2012 23:03:22 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev (>= 1:4.2.0), libcurl4-gnutls-dev,
   intltool
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/fcitx
 Vcs-Git: git://git.debian.org/pkg-ime/fcitx-cloudpinyin.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-cloudpinyin.git

## fcitx-cloudpinyin 0.2.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 include_directories(
+    ${PROJECT_BINARY_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}
     ${CURL_INCLUDE_DIRS}
     ${FCITX4_FCITX_INCLUDE_DIRS}
@@ -14,6 +15,7 @@
 set(FCITX_CLOUDPINYIN_SRCS
     cloudpinyin.c
     cloudpinyinconifg.c
+    fetch.c
 )
 
 fcitx_add_addon(fcitx-cloudpinyin ${FCITX_CLOUDPINYIN_SRCS})

=== debian/changelog ===
fcitx-cloudpinyin (0.2.2-1+deb7u1) wheezy; urgency=low

  * Go with Google by default, original default isn't available anymore.

 -- Aron Xu <aron@debian.org>  Sat, 07 Dec 2013 20:30:27 +0800

fcitx-cloudpinyin (0.2.2-1) unstable; urgency=low

  * Imported Upstream version 0.2.2

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 04 Jun 2012 10:21:51 +0800

fcitx-cloudpinyin (0.2.1-2) unstable; urgency=low

  * Fix the full name of Fcitx in debian/control.

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 18 May 2012 10:19:31 +0800

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-modules (>=1:4.2.0)
 Recommends: fcitx (>=1:4.2.0)
-Description: Free Chinese Input Toy of X - cloudpinyin module
- Fcitx is the Free Chinese Input Toy of X, which was initially designed
+Description: Flexible Input Method Framework - cloudpinyin module
+ Fcitx is the Flexible Input Method Framework, which was initially designed
  for Chinese users, and used XIM protocol. Now it has already evolved
  into a highly modularized, feature rich input method framework for
  Unix-like platforms supporting a considerable amount of frontends,

## fcitx-cloudpinyin 0.3.1

=== CMakeLists.txt ===
project(fcitx-cloudpinyin)
cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
find_package(Fcitx 4.2.7 REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Libintl REQUIRED)
find_package(Libiconv REQUIRED)
find_package(Pthread REQUIRED)

_fcitx_add_uninstall_target()

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

pkg_check_modules(CURL "libcurl" REQUIRED)

set(LOCALEDIR "${CMAKE_INSTALL_PREFIX}/share/locale")

configure_file(config.h.in config.h)

enable_testing()

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(test)

=== po/CMakeLists.txt ===
set(PO_LANGS zh_CN zh_TW)
foreach(lang ${PO_LANGS})
  fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-cloudpinyin fcitx-cloudpinyin.pot)

=== debian/changelog ===
fcitx-cloudpinyin (0.3.1-1) unstable; urgency=low

  * Imported Upstream version 0.3.1

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 15 Feb 2013 13:35:39 +0800

fcitx-cloudpinyin (0.3.0-1) experimental; urgency=low

  * New Upstream release.

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 26 Sep 2012 20:50:41 +0800

fcitx-cloudpinyin (0.2.3-1) experimental; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sat, 11 Aug 2012 19:52:06 +0800

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev (>= 1:4.2.0), libcurl4-gnutls-dev,
-  intltool
+Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 1:4.2.6), libcurl4-gnutls-dev,
+  fcitx-bin
 Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/fcitx
 Vcs-Git: git://git.debian.org/pkg-ime/fcitx-cloudpinyin.git
@@ -13,8 +13,8 @@
 
 Package: fcitx-module-cloudpinyin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-modules (>=1:4.2.0)
-Recommends: fcitx (>=1:4.2.0)
+Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-modules (>=1:4.2.5)
+Recommends: fcitx (>=1:4.2.5)
 Description: Flexible Input Method Framework - cloudpinyin module
  Fcitx is the Flexible Input Method Framework, which was initially designed
  for Chinese users, and used XIM protocol. Now it has already evolved

## fcitx-cloudpinyin 0.3.2

=== debian/changelog ===
fcitx-cloudpinyin (0.3.2-1ubuntu0.13.10.1) saucy; urgency=low

  * Go with Google by default, original default isn't available anymore.
    (LP: #1251799)

 -- Aron Xu <happyaron@ubuntu.com>  Sat, 16 Nov 2013 09:54:41 +0800

fcitx-cloudpinyin (0.3.2-1) unstable; urgency=low

  * New upstream release

 -- Aron Xu <aron@debian.org>  Fri, 02 Aug 2013 13:48:22 +0800

## fcitx-cloudpinyin 0.3.3

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(PO_LANGS zh_CN zh_TW)
+set(PO_LANGS de zh_CN zh_TW ja)
 foreach(lang ${PO_LANGS})
   fcitx_translate_add_po_file("${lang}" "${lang}.po")
 endforeach()

=== debian/changelog ===
fcitx-cloudpinyin (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Default service is changed to Google.

 -- Aron Xu <aron@debian.org>  Sat, 16 Nov 2013 11:40:11 +0800

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 1:4.2.6), libcurl4-gnutls-dev,
+Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 1:4.2.8), libcurl4-gnutls-dev,
   fcitx-bin
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/fcitx
-Vcs-Git: git://git.debian.org/pkg-ime/fcitx-cloudpinyin.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-cloudpinyin.git
+Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-cloudpinyin.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-cloudpinyin.git
 
 Package: fcitx-module-cloudpinyin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-modules (>=1:4.2.5)
-Recommends: fcitx (>=1:4.2.5)
+Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-modules (>=1:4.2.8)
+Recommends: fcitx (>=1:4.2.8)
 Description: Flexible Input Method Framework - cloudpinyin module
  Fcitx is the Flexible Input Method Framework, which was initially designed
  for Chinese users, and used XIM protocol. Now it has already evolved

=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/fcitx-cloudpinyin-*\.*(.*)\.tar\.xz

## fcitx-cloudpinyin 0.3.4

=== test/CMakeLists.txt ===
include_directories(
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CURL_INCLUDE_DIRS}
    ${FCITX4_FCITX_INCLUDE_DIRS}
    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
    ${LIBINTL_INCLUDE_DIR}
    ${PTHREAD_INCLUDE_DIR}
)

link_directories(
    ${CURL_LIBRARY_DIRS}
    ${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
)

add_executable(testhalf testhalf.c ../src/parse.c)

target_link_libraries( testhalf
                       ${PTHREAD_LIBRARIES}
                       ${FCITX4_FCITX_UTILS_LIBRARIES}
                       ${CURL_LIBRARIES}
                       ${LIBINTL_LIBRARIES}
                       )

add_test(testhalf testhalf)

=== debian/changelog ===
fcitx-cloudpinyin (0.3.4-3) unstable; urgency=medium

  * Upload to unstable

 -- Aron Xu <aron@debian.org>  Sat, 05 Dec 2015 13:48:20 +0800

fcitx-cloudpinyin (0.3.4-2) experimental; urgency=medium

  * d/control: mark as M-A: same, update description.
  * d/copyright: update.

 -- Aron Xu <aron@debian.org>  Sun, 31 Aug 2014 11:42:49 +0800

fcitx-cloudpinyin (0.3.4-1) unstable; urgency=low

  * New upstream release

 -- Aron Xu <aron@debian.org>  Thu, 29 May 2014 22:26:57 +0800

fcitx-cloudpinyin (0.3.3-2) unstable; urgency=medium

  * Team upload.
  * Add pkg-config as build dependency.
    Thanks to Michael Tautschnig (Closes: #749376)
  * Update debian/copyright
  * Bump Standard-Version to 3.9.5
  * Change compat level to 9

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Tue, 27 May 2014 20:46:13 +0800

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 1:4.2.8), libcurl4-gnutls-dev,
-  fcitx-bin
-Standards-Version: 3.9.4
-Homepage: http://code.google.com/p/fcitx
+  fcitx-bin, pkg-config
+Standards-Version: 3.9.6
+Homepage: http://fcitx-im.org
 Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-cloudpinyin.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-cloudpinyin.git
 
 Package: fcitx-module-cloudpinyin
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-modules (>=1:4.2.8)
 Recommends: fcitx (>=1:4.2.8)
 Description: Flexible Input Method Framework - cloudpinyin module
@@ -31,4 +32,4 @@
  second input candidate.
  .
  Please be aware by installing and enabling this module, Fcitx will send
- your input data to the Internet to retrive result candidates.
+ your input data to the Internet to retrieve result candidates.

## fcitx-cloudpinyin 0.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
-find_package(Fcitx 4.2.7 REQUIRED)
+find_package(Fcitx 4.2.8 REQUIRED)
 find_package(PkgConfig REQUIRED)
 find_package(Libintl REQUIRED)
 find_package(Libiconv REQUIRED)

=== debian/changelog ===
fcitx-cloudpinyin (0.3.6-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Update YunQiang Su's email address and use the @debian.org one.
    + Bump Standards-Version to 4.2.1 (no changes needed).
    + Update Vcs-* fields and use git repo under input-method-team.
    + Update Homepage field to the one on GitLab.

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Oct 2018 21:24:35 -0400

fcitx-cloudpinyin (0.3.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper compat version to v11.
  * Remove trailing spaces in d/changelog and d/rules.
  * d/control: Use debian-input-method maillist in maintainer field.
  * d/control: Use Salsa platform in Vcs fields.
  * d/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Thu, 15 Feb 2018 10:21:41 +0800

fcitx-cloudpinyin (0.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh packaging instructions.
    + Apply "wrap-and-sort -abst".
    + Bump Standards-Version to 4.1.1.
    + Bump debhelper compat to v10.
    + Bump fcitx version requirement.
    + Use GitHub as homepage.
    + Use canonical Vcs URL.
    + Fix some typos. Closes: #750580
  * Enable full hardening.
  * d/watch: point to download.fcitx-im.org.
  * d/copyright: refresh information.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 01 Oct 2017 11:26:27 +0800

=== debian/control ===
Source: fcitx-cloudpinyin
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
Build-Depends:
 cmake,
 debhelper (>= 11),
 fcitx-bin,
 fcitx-libs-dev (>= 1:4.2.9),
 libcurl4-gnutls-dev,
 pkg-config,
Standards-Version: 4.2.1
Homepage: https://gitlab.com/fcitx/fcitx-cloudpinyin
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-cloudpinyin.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-cloudpinyin

Package: fcitx-module-cloudpinyin
Architecture: any
Multi-Arch: same
Depends:
 fcitx-modules (>=1:4.2.9),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx (>=1:4.2.9),
Description: Flexible Input Method Framework - cloudpinyin module
 Fcitx is the Flexible Input Method Framework, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It is an ideal choice for the vast majority. Many of its features make
 users of Unix-like platforms have a fully modern input experience for
 the first time. It has also greatly lower the threshold for developers,
 making the development of extended functions much easier than ever before.
 .
 This package provides the cloudpinyin module, which supports to make
 use of Pinyin APIs on the Internet and display the first result as the
 second input candidate.
 .
 Please be aware by installing and enabling this module, Fcitx will send
 your input data to the Internet to retrieve result candidates.

## fcitx-cloudpinyin 0.3.7

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)

foreach(po_file ${PO_FILES})
  string(REPLACE ".po" "" po_lang "${po_file}")
  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-cloudpinyin fcitx-cloudpinyin.pot)

=== src/CMakeLists.txt ===
include_directories(
  ${PROJECT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CURL_INCLUDE_DIRS}
  ${PTHREAD_INCLUDE_DIR}
  ${FCITX4_FCITX_INCLUDE_DIRS}
  ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
  ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
  ${LIBINTL_INCLUDE_DIR}
  )

link_directories(
  ${CURL_LIBRARY_DIRS}
  )

set(FCITX_CLOUDPINYIN_SRCS
  cloudpinyin.c
  cloudpinyinconifg.c
  fetch.c
  parse.c
  )

fcitx_add_addon_full(cloudpinyin DESC
  SOURCES ${FCITX_CLOUDPINYIN_SRCS}
  LINK_LIBS ${CURL_LIBRARIES}
  ${LIBINTL_LIBRARIES}
  ${PTHREAD_LIBRARIES})

=== debian/changelog ===
fcitx-cloudpinyin (0.3.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112888)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 15:07:51 +0300

fcitx-cloudpinyin (0.3.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 0.3.7.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Nov 2019 12:04:59 -0500

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
  YunQiang Su <syq@debian.org>,
 Build-Depends:
  cmake,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  fcitx-bin,
  fcitx-libs-dev (>= 1:4.2.9),
  libcurl4-gnutls-dev,
  pkg-config,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://gitlab.com/fcitx/fcitx-cloudpinyin
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-cloudpinyin.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-cloudpinyin

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_makeshlibs:

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx-cloudpinyin/ \
 fcitx-cloudpinyin-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
